$ErrorActionPreference = 'Stop';

$packageName    = 'Fogg'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url            = 'https://github.com/Badgerati/Fogg/releases/download/v0.6.0/0.6.0-Binaries.zip'
$checksum       = '0C3594C149B5DC64A59C09D5F000D1C8EC0B9442D0DB12F57274916969198AE7'
$checksumType   = 'sha256'

$packageArgs = @{
  PackageName   = $packageName
  UnzipLocation = $toolsDir
  Url           = $url
  Checksum      = $checksum
  ChecksumType  = $checksumType
}

# Download
Install-ChocolateyZipPackage @packageArgs

# Install
$path = Join-Path $env:chocolateyPackageFolder 'tools/src'
Push-Location $path

try
{
    Write-Host 'Updating environment Path'
    Install-ChocolateyPath -PathToInstall $path -PathType 'Machine'
    Update-SessionEnvironment
}
finally
{
    Pop-Location
}
